<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">

    <body>

        <ui:composition template="./template.xhtml">
            <ui:define name="content">
        Nuevo Usuario
        <h:form id="formNuevoUsuario">
            <p:panelGrid columns="2" >
            <p:outputLabel value="Nombres:"/>
            <p:inputText value="#{usuarioBean.usuario.nombre}"/>
            <p:outputLabel value="Apellidos:"/>
            <p:inputText value="#{usuarioBean.usuario.apellido}"/>
            <p:outputLabel value="Email:"/>
            <p:inputText value="#{usuarioBean.usuario.email}"/>
            <p:outputLabel value="Nombre usuario:"/>
            <p:inputText value="#{usuarioBean.usuario.usuario}"/>
            <p:outputLabel value="Contraseña:"/>
            <p:password value="#{usuarioBean.usuario.clave}"/>
            <p:outputLabel value="Rol:"/>
            <p:selectOneMenu value="#{usuarioBean.usuario.rol.id}">
                <f:selectItem itemLabel="-- Seleccione --" />
                <f:selectItems value="#{usuarioBean.listaRoles}" />
            </p:selectOneMenu>
            <p:commandButton value="Guardar" actionListener="#{usuarioBean.nuevoUsuario()}" />
           
            </p:panelGrid>
        </h:form>
        <h:link outcome="#{appBean.basePath}inicio" value="Lista de usuarios" />
        </ui:define>
        </ui:composition>

    </body>
</html>

